@rem
@rem Copyright 2015 the original author or authors.
@rem
@rem Licensed under the Apache License, Version 2.0 (the "License");
@rem you may not use this file except in compliance with the License.
@rem You may obtain a copy of the License at
@rem
@rem      https://www.apache.org/licenses/LICENSE-2.0
@rem
@rem Unless required by applicable law or agreed to in writing, software
@rem distributed under the License is distributed on an "AS IS" BASIS,
@rem WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@rem See the License for the specific language governing permissions and
@rem limitations under the License.
@rem

@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  aerospike-esp-outbound startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Resolve any "." and ".." in APP_HOME to make it shorter.
for %%i in ("%APP_HOME%") do set APP_HOME=%%~fi

@rem Add default JVM options here. You can also use JAVA_OPTS and AEROSPIKE_ESP_OUTBOUND_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS="-Djava.security.egd=file:/dev/./urandom" "-Dconnect.product.name=aerospike-esp-outbound" "-Dconnect.product.version=1.1.0"

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto execute

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto execute

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\aerospike-esp-outbound-1.1.0.jar;%APP_HOME%\lib\aerospike-outbound-server-1.3.0.jar;%APP_HOME%\lib\aerospike-aerospike-2.1.0.jar;%APP_HOME%\lib\aerospike-tls-1.2.2.jar;%APP_HOME%\lib\aerospike-serde-1.1.0.jar;%APP_HOME%\lib\aerospike-undertow-patch-1.1.1.jar;%APP_HOME%\lib\aerospike-client-patch-1.0.1.jar;%APP_HOME%\lib\aerospike-io-1.0.3.jar;%APP_HOME%\lib\aerospike-logging-1.0.6.jar;%APP_HOME%\lib\avro-1.10.2.jar;%APP_HOME%\lib\metrics-json-4.1.17.jar;%APP_HOME%\lib\jersey-media-json-jackson-2.29.jar;%APP_HOME%\lib\swagger-jaxrs-1.5.20.jar;%APP_HOME%\lib\swagger-core-1.5.20.jar;%APP_HOME%\lib\jackson-dataformat-yaml-2.12.3.jar;%APP_HOME%\lib\jackson-dataformat-msgpack-0.8.16.jar;%APP_HOME%\lib\jackson-module-jaxb-annotations-2.12.3.jar;%APP_HOME%\lib\jackson-databind-2.12.3.jar;%APP_HOME%\lib\jackson-core-2.12.3.jar;%APP_HOME%\lib\swagger-models-1.5.20.jar;%APP_HOME%\lib\jackson-annotations-2.12.3.jar;%APP_HOME%\lib\jackson-module-kotlin-2.12.3.jar;%APP_HOME%\lib\kotlin-reflect-1.5.21.jar;%APP_HOME%\lib\lombok-1.18.8.jar;%APP_HOME%\lib\commons-lang3-3.9.jar;%APP_HOME%\lib\commons-collections4-4.4.jar;%APP_HOME%\lib\guice-assistedinject-4.2.2.jar;%APP_HOME%\lib\guice-bridge-2.6.1.jar;%APP_HOME%\lib\guice-servlet-4.2.2.jar;%APP_HOME%\lib\guice-4.2.2.jar;%APP_HOME%\lib\logback-classic-1.3.0-alpha5.jar;%APP_HOME%\lib\logback-core-1.3.0-alpha5.jar;%APP_HOME%\lib\picocli-4.6.2.jar;%APP_HOME%\lib\kotlinx-coroutines-jdk8-1.5.1.jar;%APP_HOME%\lib\jetty-client-9.4.43.v20210629.jar;%APP_HOME%\lib\grpc-stub-1.40.1.jar;%APP_HOME%\lib\grpc-netty-shaded-1.40.1.jar;%APP_HOME%\lib\grpc-core-1.40.1.jar;%APP_HOME%\lib\perfmark-api-0.23.0.jar;%APP_HOME%\lib\kotlinx-coroutines-core-jvm-1.5.1.jar;%APP_HOME%\lib\kotlin-stdlib-jdk8-1.5.21.jar;%APP_HOME%\lib\kotlin-stdlib-jdk7-1.5.21.jar;%APP_HOME%\lib\kotlin-logging-1.6.25.jar;%APP_HOME%\lib\kotlin-stdlib-1.5.21.jar;%APP_HOME%\lib\javax.inject-1.jar;%APP_HOME%\lib\aopalliance-1.0.jar;%APP_HOME%\lib\reflections-0.9.11.jar;%APP_HOME%\lib\grpc-api-1.40.1.jar;%APP_HOME%\lib\guava-30.1-android.jar;%APP_HOME%\lib\msgpack-core-0.8.16.jar;%APP_HOME%\lib\xnio-nio-3.8.0.Final.jar;%APP_HOME%\lib\xnio-api-3.8.0.Final.jar;%APP_HOME%\lib\bcpkix-jdk15to18-1.68.jar;%APP_HOME%\lib\bcprov-jdk15to18-1.68.jar;%APP_HOME%\lib\caffeine-2.8.0.jar;%APP_HOME%\lib\simpleclient_dropwizard-0.10.0.jar;%APP_HOME%\lib\simpleclient_servlet-0.10.0.jar;%APP_HOME%\lib\javax.mail-1.6.2.jar;%APP_HOME%\lib\activation-1.1.1.jar;%APP_HOME%\lib\jaxb-api-2.3.1.jar;%APP_HOME%\lib\undertow-servlet-2.2.3.Final.jar;%APP_HOME%\lib\jersey-container-servlet-core-2.29.jar;%APP_HOME%\lib\jersey-server-2.29.jar;%APP_HOME%\lib\jersey-hk2-2.29.jar;%APP_HOME%\lib\jersey-media-multipart-2.29.jar;%APP_HOME%\lib\metrics-jvm-4.1.0.jar;%APP_HOME%\lib\metrics-core-4.1.17.jar;%APP_HOME%\lib\jul-to-slf4j-1.7.26.jar;%APP_HOME%\lib\slf4j-api-2.0.0-alpha1.jar;%APP_HOME%\lib\checker-framework-1.7.0.jar;%APP_HOME%\lib\jetty-http-9.4.43.v20210629.jar;%APP_HOME%\lib\jetty-io-9.4.43.v20210629.jar;%APP_HOME%\lib\error_prone_annotations-2.4.0.jar;%APP_HOME%\lib\annotations-13.0.jar;%APP_HOME%\lib\kotlin-logging-common-1.6.25.jar;%APP_HOME%\lib\kotlin-stdlib-common-1.5.21.jar;%APP_HOME%\lib\aerospike-client-5.1.8.jar;%APP_HOME%\lib\gnu-crypto-2.0.1.jar;%APP_HOME%\lib\luaj-jse-3.0.jar;%APP_HOME%\lib\jbcrypt-0.4.jar;%APP_HOME%\lib\aerospike-connect-outbound-sdk-1.0.0.jar;%APP_HOME%\lib\netty-all-4.1.50.Final.jar;%APP_HOME%\lib\hk2-locator-2.5.0.jar;%APP_HOME%\lib\javassist-3.22.0-CR2.jar;%APP_HOME%\lib\commons-compress-1.20.jar;%APP_HOME%\lib\wildfly-client-config-1.0.1.Final.jar;%APP_HOME%\lib\jboss-threads-3.1.0.Final.jar;%APP_HOME%\lib\wildfly-common-1.5.2.Final.jar;%APP_HOME%\lib\checker-qual-2.10.0.jar;%APP_HOME%\lib\simpleclient_common-0.10.0.jar;%APP_HOME%\lib\simpleclient-0.10.0.jar;%APP_HOME%\lib\javax.activation-api-1.2.0.jar;%APP_HOME%\lib\jboss-logging-3.4.1.Final.jar;%APP_HOME%\lib\jboss-servlet-api_4.0_spec-2.0.0.Final.jar;%APP_HOME%\lib\jboss-annotations-api_1.3_spec-2.0.1.Final.jar;%APP_HOME%\lib\jersey-client-2.29.jar;%APP_HOME%\lib\jersey-media-jaxb-2.29.jar;%APP_HOME%\lib\jersey-common-2.29.jar;%APP_HOME%\lib\jersey-entity-filtering-2.29.jar;%APP_HOME%\lib\jakarta.ws.rs-api-2.1.5.jar;%APP_HOME%\lib\hk2-api-2.6.1.jar;%APP_HOME%\lib\hk2-utils-2.6.1.jar;%APP_HOME%\lib\jakarta.annotation-api-1.3.4.jar;%APP_HOME%\lib\jakarta.inject-2.6.1.jar;%APP_HOME%\lib\validation-api-2.0.1.Final.jar;%APP_HOME%\lib\mimepull-1.9.11.jar;%APP_HOME%\lib\jetty-util-9.4.43.v20210629.jar;%APP_HOME%\lib\failureaccess-1.0.1.jar;%APP_HOME%\lib\listenablefuture-9999.0-empty-to-avoid-conflict-with-guava.jar;%APP_HOME%\lib\jsr305-3.0.2.jar;%APP_HOME%\lib\checker-compat-qual-2.5.5.jar;%APP_HOME%\lib\j2objc-annotations-1.3.jar;%APP_HOME%\lib\grpc-context-1.40.1.jar;%APP_HOME%\lib\gson-2.8.6.jar;%APP_HOME%\lib\annotations-4.1.1.4.jar;%APP_HOME%\lib\animal-sniffer-annotations-1.19.jar;%APP_HOME%\lib\commons-io-2.6.jar;%APP_HOME%\lib\snakeyaml-1.27.jar;%APP_HOME%\lib\osgi-resource-locator-1.0.3.jar;%APP_HOME%\lib\aopalliance-repackaged-2.6.1.jar;%APP_HOME%\lib\swagger-annotations-1.5.20.jar;%APP_HOME%\lib\jakarta.xml.bind-api-2.3.2.jar;%APP_HOME%\lib\jakarta.activation-api-1.2.1.jar


@rem Execute aerospike-esp-outbound
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %AEROSPIKE_ESP_OUTBOUND_OPTS%  -classpath "%CLASSPATH%" com.aerospike.connect.esp.outbound.EspOutboundConnectorKt %*

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable AEROSPIKE_ESP_OUTBOUND_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%AEROSPIKE_ESP_OUTBOUND_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
